Skip to main content
GET
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

Continuation cursor from the previous response nextCursor. Omit for the first page; null nextCursor means there are no more pages.

Required string length: 1 - 255
limit
integer
default:50

Maximum number of items to return in one page. Use nextCursor from the response to fetch more items.

Required range: 1 <= x <= 100
sessionId
string

Filter billing usage to this session.

Required string length: 1 - 255
createdAfter
string<date-time>

Only sessions created at or after this ISO 8601 timestamp.

createdBefore
string<date-time>

Only sessions created before this ISO 8601 timestamp.

createdBy
string[]

Filter by creator IDs, supplied as a comma-separated list.

Minimum string length: 1
models
string[]

Filter by model names, supplied as a comma-separated list.

Required string length: 1 - 200

Response

List billing usage

items
object[]
required
Maximum array length: 100
nextCursor
string | null
required
Required string length: 1 - 255
asOf
string<date-time>
required